nfg.hh File Reference
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/nfg.hh:

Go to the source code of this file.

## Functions

EXPORT_2D float | get_jump_level (const C2DImage &image)
EXPORT_2D float | get_jump_level (const C2DImage &image, float noise_level)
EXPORT_2D C2DFVectorfield | get_nfg (const C2DImage &image)
EXPORT_2D C2DFVectorfield | get_nfg_j (const C2DImage &image, float jump_level2)
EXPORT_2D C2DFVectorfield | get_nfg_n (const C2DImage &image, float noise_level)
EXPORT_2D float | get_noise_level (const C2DImage &image)

## Function Documentation

## get_jump_level() [1/2]

EXPORT_2D float get_jump_level | ( | const C2DImage & | image | ) |

Evaluate the gradient jump level as described in the paper.

Parameters

  image |

Returns
  jump level

References EXPORT_2D.

## get_jump_level() [2/2]

EXPORT_2D float get_jump_level | ( | const C2DImage & | image,
|  | float | noise_level )

Evaluate the gradient jump level as described in the paper by using a specific noise level

Parameters

  image |
  noise_level |

Returns
  jump level

References EXPORT_2D.

## get_nfg()

EXPORT_2D C2DFVectorfield get_nfg | ( | const C2DImage & | image | ) |

Evaluate the normalized gradient field of an image by estimating the noise using get_noise_level

Parameters

  image |

Returns
  NGF

References EXPORT_2D, and NS_MIA_END.

## get_nfg_j()

EXPORT_2D C2DFVectorfield get_nfg_j | ( | const C2DImage & | image,
|  | float | jump_level2 )

Evaluate the normalized gradient field of an image by using a specific jump level

Parameters

  image |
  jump_level2 | square of the jump level

Returns
  NGF

References EXPORT_2D.

## get_nfg_n()

EXPORT_2D C2DFVectorfield get_nfg_n | ( | const C2DImage & | image,
|  | float | noise_level )

Evaluate the normalized gradient field of an image by using a specific noise level

Parameters

  image |
  noise_level |

Returns
  NGF

References EXPORT_2D.

## get_noise_level()

EXPORT_2D float get_noise_level | ( | const C2DImage & | image | ) |

Evaluate an approximate of the noise level - specifically this uses the deviation \(\sigma\) of the intensities

Parameters

  image |

Returns
  noise level

References EXPORT_2D.